Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 616674 - SELinux is preventing /usr/bin/python "relabelto" access on rdiff-backup.tmp.464.
SELinux is preventing /usr/bin/python "relabelto" access on rdiff-backup...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:ee2538d135a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 03:15 EDT by Simon Tutek
Modified: 2010-07-23 06:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-23 06:33:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Tutek 2010-07-21 03:15:02 EDT
Summary:

SELinux is preventing /usr/bin/python "relabelto" access on
rdiff-backup.tmp.464.

Detailed Description:

SELinux denied access requested by rdiff-backup. It is not expected that this
access is required by rdiff-backup and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                system_u:object_r:tty_device_t:s0
Target Objects                rdiff-backup.tmp.464 [ file ]
Source                        rdiff-backup
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-4.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-118.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux labraj3.uni-mb.si 2.6.32.14-127.fc12.x86_64
                              #1 SMP Fri May 28 04:30:39 UTC 2010 x86_64 x86_64
Alert Count                   15
First Seen                    sre 14 jul 2010 13:35:08 CEST
Last Seen                     čet 15 jul 2010 10:55:41 CEST
Local ID                      506136f8-3956-42de-8600-ce17b6f3e3ed
Line Numbers                  

Raw Audit Messages            

node=labraj3.uni-mb.si type=AVC msg=audit(1279184141.979:63762): avc:  denied  { relabelto } for  pid=11775 comm="rdiff-backup" name="rdiff-backup.tmp.464" dev=md4 ino=53183591 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tty_device_t:s0 tclass=file

node=labraj3.uni-mb.si type=SYSCALL msg=audit(1279184141.979:63762): arch=c000003e syscall=188 success=no exit=-13 a0=31093c4 a1=2a17fd0 a2=3204580 a3=22 items=0 ppid=11774 pid=11775 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=35 comm="rdiff-backup" exe="/usr/bin/python" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,rdiff-backup,unconfined_t,tty_device_t,file,relabelto
audit2allow suggests:

#============= unconfined_t ==============
allow unconfined_t tty_device_t:file relabelto;
Comment 1 Simon Tutek 2010-07-21 03:26:29 EDT
This bug reports every time when i am making backups.

Was using rdiff-backup on a remote machine, making a backup in /backup (separate partition), the user on this machine is a non-privileged user, the partition has +t bit set.

(note: I would not like to give a remote computer root access to this machine)
Comment 2 Daniel Walsh 2010-07-21 08:39:56 EDT
This is indicating that the tool is trying to label rdiff-backup.tmp.464 as a tty_device_t?  Which is very wrong.

What is rdiff-backup?
Comment 3 Simon Tutek 2010-07-22 09:17:11 EDT
rdiff-backup is a neat tool for making near continuous data protection backups. It is also part of standard fedora distribution repositories.

Thank you for explaining it to me. Seems i forgot to exclude device files in my full backup.

I apologize for falsely report a bug then. I am sorry.

I also could not backup /selinux/** , so I have to check if that are actual files or some in memory data. (It gave error about files changing on the source machine.)
Comment 4 Daniel Walsh 2010-07-22 10:04:25 EDT
/selinux is similar to /proc.  No real files.
Comment 5 Simon Tutek 2010-07-23 03:54:26 EDT
Well that means it is an user error, if i am right, and the bug report can be cloased.

Sorry again.

Note You need to log in before you can comment on or make changes to this bug.